aboutsummaryrefslogtreecommitdiffstats
path: root/testing/autossh/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-11-06 12:22:01 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-11-06 12:22:01 +0000
commitf3c44ec7f49a7ef266f92b4a377e96ab03f5dbbb (patch)
treee0c862bc5513434221012480be4817c6e750c39e /testing/autossh/APKBUILD
parente2c21650ce6fcc850fefaef4eab9bc6e2955c3f7 (diff)
downloadaports-f3c44ec7f49a7ef266f92b4a377e96ab03f5dbbb.tar.gz
aports-f3c44ec7f49a7ef266f92b4a377e96ab03f5dbbb.tar.bz2
aports-f3c44ec7f49a7ef266f92b4a377e96ab03f5dbbb.tar.xz
testing/autossh: new aport
Diffstat (limited to 'testing/autossh/APKBUILD')
-rw-r--r--testing/autossh/APKBUILD60
1 files changed, 60 insertions, 0 deletions
diff --git a/testing/autossh/APKBUILD b/testing/autossh/APKBUILD
new file mode 100644
index 0000000000..99cecc1011
--- /dev/null
+++ b/testing/autossh/APKBUILD
@@ -0,0 +1,60 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=autossh
+pkgver=1.4c
+pkgrel=0
+pkgdesc="Automatically restart SSH sessions and tunnels"
+url="http://www.harding.motd.ca/autossh/"
+arch="all"
+license="BSD"
+depends="openssh-client"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.harding.motd.ca/autossh/autossh-$pkgver.tgz"
+
+_builddir="$srcdir"/autossh-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -D -m755 autossh \
+ "$pkgdir"/usr/bin/autossh || return 1
+ install -D -m644 CHANGES \
+ "$pkgdir"/usr/share/doc/autossh/CHANGES || return 1
+ install -D -m644 README \
+ "$pkgdir"/usr/share/doc/autossh/README || return 1
+ install -D -m644 autossh.host \
+ "$pkgdir"/usr/share/autossh/examples/autossh.host || return 1
+ install -D -m644 rscreen \
+ "$pkgdir"/usr/share/autossh/examples/rscreen || return 1
+ install -D -m644 autossh.1 \
+ "$pkgdir"/usr/share/man/man1/autossh.1 || return 1
+}
+
+md5sums="26520eea934f296be0783dabe7fcfd28 autossh-1.4c.tgz"
+sha256sums="6fcaba6a409a46bdf832086736bb8f09d245ebce11027f41d39588a95dc7fd1d autossh-1.4c.tgz"
+sha512sums="0bb7becf638959161791cfe93e80edea33b2223906b1aa43bc97e30fb310851f78e9dff1ea72c533958216862af2e32b5e42dfe447469fb74dc8ef9907dea1a3 autossh-1.4c.tgz"